curl --request GET \
--url https://api.feedspace.io/v3/contacts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.feedspace.io/v3/contacts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.feedspace.io/v3/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 8801,
"email": "jordan@example.com",
"name": "Jordan Lee",
"phone": null,
"primary_source": "public_api",
"country": null,
"state": null,
"city": null,
"zipcode": null,
"company": "Acme",
"date_added": "2026-05-01",
"date_added_label": "May 1, 2026",
"is_unsubscribed": false,
"unsubscribe_reason": null,
"unsubscribed_at": null,
"enriched_at": null,
"tag_ids": [
3,
7
],
"has_reviewed": false,
"created_at": "2026-05-01T10:00:00.000000Z",
"updated_at": "2026-05-01T10:00:00.000000Z"
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 50,
"total": 1,
"from": 1,
"to": 1,
"has_activated_automation": true
}
}List Contacts
List contacts in the workspace. Contacts power Feedspace’s email automation and are commonly synced from external platforms (Zapier, Pabbly, Make, n8n). Requires the workspace’s plan/role to include email automation.
403.Authorizations
HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).
Query Parameters
Filter by how the contact first entered the workspace. One of: csv, public_api, review_submission, manual, social_import, stripe.
csv, public_api, review_submission, manual, social_import, stripe Filter to contacts carrying any of these tag IDs. Each value must be a numeric tag id from GET /contact-tags in this workspace.
Subscription state to include.
subscribed, unsubscribed, all Free-text search across name and email (max 255 characters).
255Sort field.
created_at, email, name Sort direction.
asc, desc Page number (default 1).
x >= 1Items per page (1-100, default 50).
1 <= x <= 100